Subject: Re: [PATCH net-next 1/4] tsnep: Throttle interrupts

From: Jakub Kicinski <[email-masked]>
Date: Fri, 18 Nov 2022 17:24:21 -0800

On Thu, 17 Nov 2022 21:14:37 +0100 Gerhard Engleder wrote:
> Without interrupt throttling, iperf server mode generates a CPU load of
> 100% (A53 1.2GHz). Also the throughput suffers with less than 900Mbit/s
> on a 1Gbit/s link. The reason is a high interrupt load with interrupts
> every ~20us.
> 
> Reduce interrupt load by throttling of interrupts. Interrupt delay is
> configured statically to 64us. For iperf server mode the CPU load is
> significantly reduced to ~20% and the throughput reaches the maximum of
> 941MBit/s. Interrupts are generated every ~140us.

User should be able to control these settings, please implement
ethtool::get_coalesce / set_coalesce.